订单支付 | 大装置帮助中心
跳到主要内容

订单支付

接口描述​

POST /v1/orders/{order_id}:pay 订单支付

请求头(Request Header)​

参考认证(authentication)

请求参数(Request Parameters)​

名称位置类型必须描述
order_idpathstringtrue订单号

请求体(Request Body)​

名称位置类型必须描述
bodybodyPayOrderRequesttruenone

请求示例(Request Example)​

curl --request POST \
--url https://finance.sensecoreapi.dev/boss/subscription/v1/orders/string:pay \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {access-token}' \
--header 'Content-Type: application/json' \
--data '{"order_id":"string","payment_channel":"PC_UNSPECIFIED","resource_pack_id":"string"}'

响应参数(Response Parameters)​

StatusMeaningDescriptionSchema
200OKOKPayOrderResponse

响应示例(Response Example)​

200 Response

{
"order_id": "string",
"interactive": true
}

数据结构(Schemas)​

PayOrderRequest​

名称类型必须限制描述
order_idstringtruenone订单号
payment_channelstring(enum)truenone支付方式
resource_pack_idstringfalsenone资源包ID

payment_channel Enumerated Values​

枚举值
PC_UNSPECIFIED
PC_BALANCE
PC_CREDIT
PC_FROZENACCOUNT
PC_REMIT_OFFLINE
PC_ALIPAY
PC_UNIONPAY
PC_REMIT_ONLINE
PC_CONTRACT
PC_WECHAT

PayOrderResponse​

名称类型必须限制描述
order_idstringtruenone订单号
interactivebooleanfalseread-only支付方式